/* gtkGL
 * Copyright (C) 1997,1998 AOSASA Shigeru
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __GTK_GL_MAIN_H__
#define __GTK_GL_MAIN_H__


#include <gdkGL/gdkGL.h>
#include <gtkGL/gtkGLcontext.h>


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


void          gtk_gl_init                   (int    *argc,
					     char ***argv);

void          gtk_gl_adapt_widget           (GtkWidget *widget);
GtkGLContext* gtk_gl_context_of_widget      (GtkWidget *widget);
void          gtk_gl_swap_buffers_of_widget (GtkWidget *widget);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GTK_GL_MAIN_H__ */
